Subject: RE: [Mip6] issue 75: Authors on the front page should be less than 6

From: Tim Enos <[email-masked]>
Date: Thu, 12 Oct 2006 01:24:03 -0500 (CDT)

I'd like to suggest that the list of authors be kept as it is (i.e. I reject the proposal). I trust the authors put the names on the front page because their consensus was that each contributed substantially to the draft. Of course if WG consensus is that the proposal is to be accepted, then perhaps as many as five names (including the editor) could be placed on the front page. I'd be fine with the authors taking that route as well.

Best Regards,

Tim Enos
Rom 8:28

>From: Vijay Devarapalli <[email-masked]>
>Date: 2006/10/10 Tue PM 01:25:23 CDT
>To: "Soliman, Hesham" <[email-masked]>, [email-masked]
>Subject: RE: [Mip6] issue 75: Authors on the front page should be less than 6

>well, the guideline was put in when folks started having
>a long list of authors to show how many companies support  
>a particular proposal. and it is just a guideline. 
>exceptions are allowed. a person's name appearing on the
>front page depends on how much each person has contributed 
>to the draft.
>
>(I am one of the listed authors. I would be fine if my
>name is not listed on the front page for this particular
>draft, but in general I think it is not fair).
>
>Vijay
>
>> -----Original Message-----
>> From: Soliman, Hesham [mailto:[email-masked]] 
>> Sent: Tuesday, October 10, 2006 8:12 AM
>> To: [email-masked]
>> Subject: [Mip6] issue 75: Authors on the front page should be 
>> less than 6
>> 
>> Issue text:
>> -----------
>> According to a guideline the number of authors on frontpage 
>> should be 5
>> or less.
>> Propose to keep an editor and list the co-authors in a different
>> section.
>> 
>> Conclusion:
>> -----------
>> 
>> We haven't discussed this in the DT, so I'd like to ask the WG to
>> express opinions on this. Please suggest on of the following options:
>> 
>> 1. reject: implies keeping the authors list as is.
>> 2. accept: implies keeping the editor on the front page and moving the
>> rest to an "Additional Authors" section. 
>> 
>> Hesham
>> 
>> _______________________________________________
>> Mip6 mailing list
>> [email-masked]
>> https://www1.ietf.org/mailman/listinfo/mip6
>> 
>
>_______________________________________________
>Mip6 mailing list
>[email-masked]
>https://www1.ietf.org/mailman/listinfo/mip6

_______________________________________________
Mip6 mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/mip6

---

From: "Soliman, Hesham" <[email-masked]>
Date: Thu, 12 Oct 2006 03:27:08 -0700

> I'd like to suggest that the list of authors be kept as it 
 > is (i.e. I reject the proposal). I trust the authors put the 
 > names on the front page because their consensus was that 
 > each contributed substantially to the draft. 

=> As I said in the conclusion we never discussed this issue. 

   Of course if WG 
 > consensus is that the proposal is to be accepted, then 
 > perhaps as many as five names (including the editor) could 
 > be placed on the front page. I'd be fine with the authors 
 > taking that route as well.

=> I hope we don't do that. It's difficult to remove names selectively
and it could cause some people to be unhappy. I think we either keep all
or keep editor and list the rest later. Keeping 5 names and removing two
would suggest that those two didn't contribute as much. I'm
uncomfortable suggesting any two names to be removed from the list. 

Hesham

---

From: "James Kempf" <[email-masked]>
Date: Thu, 12 Oct 2006 09:06:18 -0700

Yes, I agree. We faced this same issue in the NETLMM PS and REQ drafts. All 
the co-authors contributed a considerable amount of work to the documents, 
and it would have been really unfair to selectively remove names. Since I 
was acting as editor, I proposed that we list me as editor, and that we put 
the Contributors section up front with a notice saying that we were removing 
the other author's names because of the RFC Editor policy and that it had 
nothing to do with effort. Then, we listed their names in the author's 
section at the end, just as if they had been listed on the first page as 
authors. This raised a couple of eyebrows on the WG list but seemed 
acceptable in the end. I don't know if the position of the Contributors 
section and the text therein will survive the RFC editing process, however. 
:-)

Personally, I think if the IETF allows author's names on documents, then the 
RFC Editor really should allow all authors who contributed on the document. 
If the IETF weren't so wedded to its archaic ASCII text format, we could 
have documents with proper title pages where the number of authors wouldn't 
matter stylistically. Contributions by single individuals that make it 
through the IETF WG process and are published as RFCs are rare these days, 
most work is done by teams and the team members have a reasonable 
expectation that their names will appear prominently to acknowledge their 
contribution.

            jak

----- Original Message ----- 
From: "Soliman, Hesham" <[email-masked]>
To: "Tim Enos" <[email-masked]>; "Vijay Devarapalli" 
<[email-masked]>; <[email-masked]>
Sent: Thursday, October 12, 2006 3:27 AM
Subject: RE: [Mip6] issue 75: Authors on the front page should be less than 
6

   Of course if WG

Hesham

---

From: Thierry Ernst <[email-masked]>
Date: Fri, 13 Oct 2006 00:10:18 +0200

Just wondering, why do we need author name in the first place ? Can't we
simply add the name of the WG as the author ? 

Thierry

On Thu, 12 Oct 2006 09:06:18 -0700

---

From: "James Kempf" <[email-masked]>
Date: Thu, 12 Oct 2006 15:38:20 -0700

That idea has been floated in the past. The counterargument is, as Charlie 
says, people whose names are on the draft tend to work harder to get it 
done.

            jak

----- Original Message ----- 
From: "Thierry Ernst" <[email-masked]>
To: <[email-masked]>
Sent: Thursday, October 12, 2006 3:10 PM
Subject: Re: [Mip6] issue 75: Authors on the front page should be less than 
6

---

From: "Tsirtsis, George" <[email-masked]>
Date: Fri, 13 Oct 2006 11:20:57 -0700

I think it is a shame that the bad behavior of the few affects all of us
in this way. It reminds me of the ban on water bottles in the airplanes
because someone built a liquid bomb. Although I am not trying to equate
the level of seriousness of the two issues, even the airplane industry
managed to get a lift on that ban after a while :-)

I think that people who contributed design ideas and actual text to a
specification should make up the authors list. People who contributed
only in smaller way should be acknowledged in the acks section. People
who contributed nothing should not be in the document.

In general I would discourage the idea of large numbers of authors since
in practice it is unlikely many people actively work on any one
document. This is hard to do though, when the WGs set-up design teams to
get something done. 

The WG chairs should have the power to request the authors list to be
cut down, if they thing it is unreasonably large or if they thing that
some people are trying to abuse the system. People that find themselves
in a design team and then for whatever reason never got to do any work
should feel obliged to get themselves off the list.

In general I like to think that people do the right thing most of the
times and that any system can be abused. For example, if you mandate
that only one person can be in the front page we might have people
trying to become editors for all the wrong reasons.

George

> From: James Kempf [mailto:[email-masked]]
> Sent: Thursday, October 12, 2006 6:38 PM
> To: Thierry Ernst; [email-masked]
> Subject: Re: [Mip6] issue 75: Authors on the front page should be less
> than 6
> 
> >> Yes, I agree. We faced this same issue in the NETLMM PS and REQ
drafts.
> >> All
> >> and it would have been really unfair to selectively remove names.
Since
> I
> >> was acting as editor, I proposed that we list me as editor, and
that we
> >> put
> >> the other author's names because of the RFC Editor policy and that
it
> had
> >> section at the end, just as if they had been listed on the first
page
> as
> >> Personally, I think if the IETF allows author's names on documents,
> then
> >> the
> >> through the IETF WG process and are published as RFCs are rare
these
> >> days,
> >> Subject: RE: [Mip6] issue 75: Authors on the front page should be
less
> >> than
> >> and it could cause some people to be unhappy. I think we either
keep
> all
> >> or keep editor and list the rest later. Keeping 5 names and
removing
> two

---

From: Alexandru Petrescu <[email-masked]>
Date: Sat, 14 Oct 2006 20:17:28 +0200

Tsirtsis, George wrote:
> I think it is a shame that the bad behavior of the few affects all of
>  us in this way. It reminds me of the ban on water bottles in the 
> airplanes because someone built a liquid bomb. Although I am not 
> trying to equate the level of seriousness of the two issues, even the
>  airplane industry managed to get a lift on that ban after a while 
> :-)

Nice

>  specification should make up the authors list. People who 
> contributed only in smaller way should be acknowledged in the acks 
> section. People who contributed nothing should not be in the 
> document.

How about people who first implemented the protocol, without
contributing any new idea, just implement.  Too rarely I see
implementers even acknowledged.

> In general I would discourage the idea of large numbers of authors 
> since in practice it is unlikely many people actively work on any one
>  document. This is hard to do though, when the WGs set-up design 
> teams to get something done.

I strongly support the idea of small number of authors on the frontpage,
and small number of people working on one particular document.  BEtter
more documents, each innerly coherent, that interface well, than fewer
large documents whose implementers scratch their heads for _years_
wondering what the authors _really_ meant.

I don't see an IETF document as a visionary breakthrough invention, on
which someone wants to put their name to safeguard their reputation -
there are articles, books and patents for that.

>  cut down, if they thing it is unreasonably large or if they thing 
> that some people are trying to abuse the system. People that find 
> themselves in a design team and then for whatever reason never got to
>  do any work should feel obliged to get themselves off the list.

I think this seldom happens - an author that found themselves by a
certain circumstance on an IETF document author list will seldom request
removal if that circumstance changed, and if their text contribution is nil.

> trying to become editors for all the wrong reasons.

I'd put a requirement on the quality of an "Editor" in that s/he has to
have no textual contribution in the draft, no personal idea about a
mechanism, just like a Chair.  I do respect a lot a good Editor work and
that is very needed.  But choosing an Editor as the person who floated
first the idea is not good, leads to biased drafts.

A good test to identify the best Editor of a document is to provide the
pre-draft to Editor and ask him/her to write the Introduction and the
Conclusion.  The Editor who can write that very good, and that best
reflects the contents, is very good.

Alex

> 
> George
> 
>> -----Original Message----- From: James Kempf 
>> [mailto:[email-masked]] Sent: Thursday, October 12, 2006 
>> 6:38 PM To: Thierry Ernst; [email-masked] Subject: Re: [Mip6] issue 
>> 75: Authors on the front page should be less than 6
>> 
>> says, people whose names are on the draft tend to work harder to 
>> get
> it
>> done.
>> 
>> jak
>> 
>> ----- Original Message ----- From: "Thierry Ernst" 
>> <[email-masked]> To: <[email-masked]> Sent: Thursday, 
>> October 12, 2006 3:10 PM Subject: Re: [Mip6] issue 75: Authors on 
>> the front page should be less than 6
>> 
>> 
>>> On Thu, 12 Oct 2006 09:06:18 -0700 "James Kempf" 
>>> <[email-masked]> wrote:
>>> 
>>>> All the co-authors contributed a considerable amount of work to
>>>>  the documents, and it would have been really unfair to 
>>>> selectively remove names.
> Since
>> I
>>>> put the Contributors section up front with a notice saying that
>>>>  we were removing the other author's names because of the RFC 
>>>> Editor policy and that
> it
>> had
>>>> authors. This raised a couple of eyebrows on the WG list but 
>>>> seemed acceptable in the end. I don't know if the position of 
>>>> the
> Contributors
>>>> section and the text therein will survive the RFC editing 
>>>> process, however. :-)
>>>> 
>>>> the RFC Editor really should allow all authors who contributed 
>>>> on the document. If the IETF weren't so wedded to its archaic 
>>>> ASCII text format, we
>> could
>>>> have documents with proper title pages where the number of 
>>>> authors wouldn't matter stylistically. Contributions by single 
>>>> individuals that make
> it
>>>> days, most work is done by teams and the team members have a 
>>>> reasonable expectation that their names will appear prominently
>>>>  to acknowledge
>> their
>>>> contribution.
>>>> 
>>>> jak
>>>> 
>>>> 
>>>> ----- Original Message ----- From: "Soliman, Hesham" 
>>>> <[email-masked]> To: "Tim Enos" <[email-masked]>;
>>>>  "Vijay Devarapalli" <[email-masked]>; 
>>>> <[email-masked]> Sent: Thursday, October 12, 2006 3:27 AM 
>>>>> I'd like to suggest that the list of authors be kept as it is
>>>>>  (i.e. I reject the proposal). I trust the authors put the 
>>>>> names on the front page because their consensus was that each
>>>>>  contributed substantially to the draft.
>>>> 
>>>>> perhaps as many as five names (including the editor) could be
>>>>>  placed on the front page. I'd be fine with the authors 
>>>>> Tim Enos Rom 8:28
>>>>>> Date: 2006/10/10 Tue PM 01:25:23 CDT To: "Soliman, Hesham" 
>>>>>> <[email-masked]>, [email-masked] Subject: RE: [Mip6] 
>>>>>> issue 75: Authors on the front page
>>>>> should be less than 6
>>>>> 
>>>>>> well, the guideline was put in when folks started having a 
>>>>>> long list of authors to show how many companies support a 
>>>>>> particular proposal. and it is just a guideline. exceptions
>>>>>> are allowed. a person's name appearing on the front page
>>>>>> depends on how much each person has contributed to the
>>>>>> draft.
>>>>>> 
>>>>>> (I am one of the listed authors. I would be fine if my name
>>>>>>  is not listed on the front page for this particular draft,
>>>>>>  but in general I think it is not fair).
>>>>>> 
>>>>>> Vijay
>>>>>> 
>>>>>>> -----Original Message----- From: Soliman, Hesham 
>>>>>>> [mailto:[email-masked]] Sent: Tuesday, October 10,
>>>>>>>  2006 8:12 AM To: [email-masked] Subject: [Mip6] issue 75:
>>>>>>>  Authors on the front page should be less than 6
>>>>>>> 
>>>>>>> Issue text: ----------- According to a guideline the 
>>>>>>> number of authors on frontpage should be 5 or less. 
>>>>>>> Conclusion: -----------
>>>>>>> We haven't discussed this in the DT, so I'd like to ask 
>>>>>>> the
> WG to
>>>>>>> 1. reject: implies keeping the authors list as is. 2. 
>>>>>>> accept: implies keeping the editor on the front page
>>>>> and moving the
>>> _______________________________________________ Mip6 mailing list
>>>  [email-masked] https://www1.ietf.org/mailman/listinfo/mip6
>> 
>> _______________________________________________ Mip6 mailing list 
>> [email-masked] https://www1.ietf.org/mailman/listinfo/mip6
> 
> _______________________________________________ Mip6 mailing list 
> [email-masked] https://www1.ietf.org/mailman/listinfo/mip6
>